'use strict';

var _interopRequireDefault = require('babel-runtime/helpers/interop-require-default')['default'];

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ramda = require('ramda');

var _ramda2 = _interopRequireDefault(_ramda);

var _ReduxOptions2 = require('./ReduxOptions');

var _ReduxOptions3 = _interopRequireDefault(_ReduxOptions2);

var _ReduxHolder2 = require('./ReduxHolder');

var _ReduxHolder3 = _interopRequireDefault(_ReduxHolder2);

exports['default'] = _ramda2['default'].curry(function (callbacksSelectorsMap, changedPropKeyAcMap, methodsMap, createReduxFunc, reduxOptions, _Component) {
	var ReduxHolder = _ReduxHolder3['default'](createReduxFunc, _Component);
	var ReduxOptions = _ReduxOptions3['default'](callbacksSelectorsMap, changedPropKeyAcMap, methodsMap, reduxOptions, ReduxHolder);

	return ReduxOptions;
});
module.exports = exports['default'];